Qt Reference Documentation

# Qt 3 Support Members for QSocketNotifier

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSocketNotifier class reference

## Public Functions

| QSocketNotifier ( int socket, Type type, QObject * parent, const char * name )

- 8 public functions inherited from QObject

## Member Function Documentation

### QSocketNotifier::QSocketNotifier ( int socket, Type type, QObject * parent, const char * name )

Use the QSocketNotifier() constructor combined with the QObject::setObjectName() function instead.

For example, if you have code like

     QSocketNotifier *notifier = new QSocketNotifier(socket, type, parent, name);

you can rewrite it as

     QSocketNotifier *notifier = new QSocketNotifier(socket, type, parent);
     notifier->setObjectName(name);